IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Site views

Logs of each pageview for a site

The site view object

Attributes

idinteger

Unique identifier

site_iduuid
sites.id

Identifier of the site this view is related to

created_attimestamp with time zone

Creation timestamp

countrytext | null

Country of the view

pathnametext

Pathname of the page

referertext | null

Referer of the view

sessionuuid

Session identifier

The site view object

JSON

{
  "id": 0,
  "site_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:24:09.754Z",
  "country": "",
  "pathname": "",
  "referer": "",
  "session": "00000000-0000-0000-0000-000000000000"
}

List site views

Filters

idFilter<integer>

Unique identifier

site_idFilter<uuid>
sites.id

Identifier of the site this view is related to

created_atFilter<timestamp with time zone>

Creation timestamp

countryFilter<text | null>

Country of the view

pathnameFilter<text>

Pathname of the page

refererFilter<text | null>

Referer of the view

sessionFilter<uuid>

Session identifier

Responses

200

A list of site views with the selected columns

206

Partial Content

GET /site_views
curl -X GET "https://api.bookingmood.com/v1/site_views?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"